states = {'menu', 'story', 'game'}

function love.load()
	
	font = love.graphics.newFont('font.tff', 16)
	love.graphics.setFont(font)
	
	screengui = love.graphics.newImage("iggui.png")
	invgui = love.graphics.newImage("iggui.png")
	maingui = love.graphics.newImage("maingui.png")
	logo = love.graphics.newImage("logo.png")
	start = love.graphics.newImage("start.png")
	quit = love.graphics.newImage("quit.png")
	
	states = 'menu'
	
	statet = 0
	
	story = "testan"
	
	timer = 0.5
	timert = 4.0
		
end

function love.draw()

	if states == 'menu' then
		love.graphics.setBackgroundColor(61,55,49)
		love.graphics.draw(maingui, 0, 0)
		love.graphics.draw(logo, 48, 24)
		love.graphics.draw(start, 144, 144)
		love.graphics.draw(quit, 144, 192)
	elseif states == 'story' then
		love.graphics.setFont(font)
		love.graphics.draw(maingui, 0, 0)
		love.graphics.printf(story, 120, 144, 240, 'center')
	elseif states == 'game' then
		love.graphics.draw(screengui, 0, 0)
		love.graphics.draw(invgui, 240, 0)
	end
	
end

function love.keypressed( key )
	if states == 'menu' then
		if key == "s" then
			states = 'story'
		end
	end
	if key == "q" then
			onMainMenu = false
			love.event.push('q')
	end
end

function love.update(dt)

		if timer <= 0 then
        local storyPassed = false
        if statet == 0 then
            story = "You find yourself on the floor of the tavern, drunk"
			statet = 1
			storyPassed = true
        elseif statet == 1 then
            story = "You got an empty glass and a rusty knife"
			statet = 2
			storyPassed = true
        elseif statet == 2 then
            story = "Weird noises coming from outside"
			statet = 3
			storyPassed = true
        elseif statet == 3 then
			story = "Explore the tavern to find out what happened"
			statet = 4
			storyPassed = true
        elseif statet == 4 then
			timer = 0.0
        end

        if storyPassed then
            timer = 4.0
        end
    else
        timer = timer - dt
    end
	
end